/* Header "global.h" for kar1 Application */

#ifdef DEFINE_GLOBALS

#define GLOBAL
#define INIT(x) = x

#else

#define GLOBAL extern
#define INIT(x)

#endif

#define BEGIN_X     90
#define END_X       10
#define TEXT_HEIGHT 60

GLOBAL PmMemoryContext_t	*mc;                  // my in-memory drawing context
GLOBAL PhPoint_t			translation; 
GLOBAL short				bytes_per_pixel;  // palette based

GLOBAL PhImage_t			*image;               // the button image being drawn into
GLOBAL PhImage_t			*bgimage;             // background image

GLOBAL PhDim_t				dim;           // size of window

GLOBAL char 				songstring[30];

GLOBAL PhPoint_t 			pos;     // position of button

GLOBAL int 					animation_on;

GLOBAL int					x_offset    INIT( BEGIN_X ); 
GLOBAL int					y_offset;    
GLOBAL PhArea_t 			draw_box;    // drawing image area
GLOBAL int 					direction;   

